Skip to content
Permalink
Browse files
Allow Maven PMD plugin to override PMD implementation jars with property
"commons.pmd-impl.version".
  • Loading branch information
garydgregory committed Jun 3, 2021
1 parent d4ef697 commit f912cebafb6d1fd1d5dd039fb21fcd78860fc0fc
Show file tree
Hide file tree
Showing 2 changed files with 29 additions and 0 deletions.
28 pom.xml
@@ -139,6 +139,7 @@
<commons.jdepend.version>2.0</commons.jdepend.version>
<commons.jxr.version>3.1.1</commons.jxr.version>
<commons.pmd.version>3.14.0</commons.pmd.version>
<commons.pmd-impl.version>6.29.0</commons.pmd-impl.version>
<commons.project-info.version>3.1.2</commons.project-info.version>
<commons.rat.version>0.13</commons.rat.version>
<commons.release-plugin.version>1.7</commons.release-plugin.version>
@@ -763,6 +764,33 @@
</dependency>
</dependencies>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-pmd-plugin</artifactId>
<version>${commons.pmd.version}</version>
<dependencies>
<dependency>
<groupId>net.sourceforge.pmd</groupId>
<artifactId>pmd-core</artifactId>
<version>${commons.pmd-impl.version}</version>
</dependency>
<dependency>
<groupId>net.sourceforge.pmd</groupId>
<artifactId>pmd-java</artifactId>
<version>${commons.pmd-impl.version}</version>
</dependency>
<dependency>
<groupId>net.sourceforge.pmd</groupId>
<artifactId>pmd-javascript</artifactId>
<version>${commons.pmd-impl.version}</version>
</dependency>
<dependency>
<groupId>net.sourceforge.pmd</groupId>
<artifactId>pmd-jsp</artifactId>
<version>${commons.pmd-impl.version}</version>
</dependency>
</dependencies>
</plugin>
</plugins>
</pluginManagement>
<plugins>
@@ -69,6 +69,7 @@ The <action> type attribute can be add,update,fix,remove.
<action type="add" dev="sebb">Add .asf.yaml to RAT excludes.</action>
<action type="add" dev="ggregory">Add versions-maven-plugin run for this build.</action>
<action type="add" dev="ggregory">Add maven-checkstyle-plugin to pluginManagement.</action>
<action type="add" dev="ggregory">Allow Maven PMD plugin to override PMD implementation jars with property "commons.pmd-impl.version".</action>
<!-- UPDATES -->
<action type="update" dev="ggregory">Update versions-maven-plugin 2.7 -> 2.8.1.</action>
<action type="update" dev="ggregory" due-to="Dependabot">Update maven-project-info-reports-plugin from 3.1.0 to 3.1.2 #19, #41.</action>

0 comments on commit f912ceb

Please sign in to comment.